---
sidebar_label: Locator.setTimeout
---

# Locator.setTimeout() method

#### Signature:

```typescript
class Locator {
  setTimeout(timeout: number): Locator<T>;
}
```

## Parameters

| Parameter | Type   | Description |
| --------- | ------ | ----------- |
| timeout   | number |             |

**Returns:**

[Locator](./puppeteer.locator.md)&lt;T&gt;
